<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>My Loan history</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Loan history
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Reports</li>
        <li class="active"> Loan history</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">

            <div class="box table-responsive">
                <div class="box-header with-border">
                    <table class="table table-bordered">
                        <tr>
                            <td style="width: 20px">Name</td><td style="width: 5px;">:</td><td><span th:text="${employeeLoan.getEmployes().getFullName()}"></span></td>
                        </tr>
                        <tr>
                            <td style="width: 20px">Loan</td><td style="width: 5px;">:</td><td><span th:text="${employeeLoan.getLoan().getName()}"></span></td>
                        </tr>
                        <tr>
                            <td style="width: 20px">Description</td><td style="width: 5px;">:</td><td><span th:text="${employeeLoan.getDescriptions()}"></span></td>
                        </tr>
                        <tr>
                            <td style="width: 20px">Amount</td><td style="width: 5px;">:</td><td><span th:text="${'Rp '+ #numbers.formatDecimal(employeeLoan.getRemaining(), 0, 'POINT', 2, 'COMMA')}"></span></td>
                        </tr>
                    </table>
                    <a class="btn btn-primary" th:href="@{/finance/loan(search=${search})}">Back</a>
                </div>
                <div class="box-body">
                    <table class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th style="width: 5px">#</th>
                            <th>year</th>
                            <th>Month</th>
                            <th>Installment</th>
                            <th>Payment</th>
                            <th>Balance</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataEmployeeLoanDetail,row : ${listEmployeeLoanDetail}">
                            <td th:text="${row.index + 1}"></td>
                            <td th:text="${dataEmployeeLoanDetail[3]}"></td>
                            <td th:text="${dataEmployeeLoanDetail[4]}"></td>
                            <td th:text="${dataEmployeeLoanDetail[1]}"></td>
                            <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(dataEmployeeLoanDetail[5], 0, 'POINT', 2, 'COMMA')}"></td>
                            <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(dataEmployeeLoanDetail[6], 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="box-footer">
                    <a class="btn btn-primary" th:href="@{/finance/loan(search=${search})}">Back</a>
                </div>
            </div>
        </div>
    </div>

</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>

    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


        }
    </script>
</section>
</body>
</html>
</body>
</html>